> ## Documentation Index
> Fetch the complete documentation index at: https://www.krea.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Hunyuan3D 3.1 Pro

> High‑fidelity text or image‑to‑3D with optional PBR materials, multi‑view inputs, and adjustable face count for cleaner meshes.



## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/3d/tencent/hunyuan3d-3.1-pro
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
  - name: Video Enhance
    description: Video enhance and upscale endpoints
  - name: 3D
    description: 3D model generation and export endpoints
paths:
  /generate/3d/tencent/hunyuan3d-3.1-pro:
    post:
      tags:
        - 3D
      summary: Hunyuan3D 3.1 Pro
      description: >-
        High‑fidelity text or image‑to‑3D with optional PBR materials,
        multi‑view inputs, and adjustable face count for cleaner meshes.
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results.
      requestBody:
        content:
          application/json:
            example: {}
            schema:
              type: object
              properties:
                prompt:
                  type: string
                seed:
                  default: 1337
                  type: number
                input_mode:
                  default: image
                  type: string
                  enum:
                    - image
                    - text
                generate_texture:
                  default: true
                  type: boolean
                enable_pbr:
                  type: boolean
                face_count:
                  type: number
                  minimum: 40000
                  maximum: 1500000
                back_image_url:
                  description: Optional back-view image URL.
                  type: string
                  maxLength: 1024
                  format: uri
                left_image_url:
                  description: Optional left-view image URL.
                  type: string
                  maxLength: 1024
                  format: uri
                right_image_url:
                  description: Optional right-view image URL.
                  type: string
                  maxLength: 1024
                  format: uri
                top_image_url:
                  description: Optional top-view image URL.
                  type: string
                  maxLength: 1024
                  format: uri
                bottom_image_url:
                  description: Optional bottom-view image URL.
                  type: string
                  maxLength: 1024
                  format: uri
                left_front_image_url:
                  description: Optional left-front-view image URL.
                  type: string
                  maxLength: 1024
                  format: uri
                right_front_image_url:
                  description: Optional right-front-view image URL.
                  type: string
                  maxLength: 1024
                  format: uri
                image_urls:
                  default: []
                  description: >-
                    Input image URLs for image-to-3D generation. Omit or pass an
                    empty array for text-to-3D.
                  type: array
                  items:
                    type: string
                    maxLength: 1024
                    format: uri
                    description: >-
                      Can be an external URL, base64 data URI, or uploaded asset
                      URL.
              additionalProperties: false
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                    additionalProperties: false
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
                additionalProperties: false
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````